## ros-humble-py-trees-ros 2.2.2

=== debian/changelog ===
ros-humble-py-trees-ros (2.2.2-3jammy) jammy; urgency=high

  * [pkg] tf2_ros -> tf2_ros_py, #204 <https://github.com/splintered-reality/py_trees_ros/pull/204>

 -- Daniel Stonier <d.stonier@gmail.com>  Fri, 10 Feb 2023 05:00:00 -0000

ros-humble-py-trees-ros (2.2.1-3jammy) jammy; urgency=high

  * [behaviours] eliminate more arg name defaults, #201 <https://github.com/splintered-reality/py_trees_ros/pull/201>

 -- Daniel Stonier <d.stonier@gmail.com>  Wed, 08 Feb 2023 05:00:00 -0000

ros-humble-py-trees-ros (2.2.0-3jammy) jammy; urgency=high

  * [actions] pre-merge and push-ci-image actions,  #200 <https://github.com/splintered-reality/py_trees_ros/pull/200>
  * [tests] bugfix explicit args and time float errors in tests,  #200 <https://github.com/splintered-reality/py_trees_ros/pull/200>
  * [watchers] handle explicit args and memory details,  #196 <https://github.com/splintered-reality/py_trees_ros/pull/196>
  * [watchers] bugfix blackboard watcher shutdownon humble, #194 <https://github.com/splintered-reality/py_trees_ros/pull/194>
  * [code] refactor for explicit arguments, #191 <https://github.com/splintered-reality/py_trees_ros/pull/191>
  * [trees] optional node and node name args to setup, #188 <https://github.com/splintered-reality/py_trees_ros/pull/188>
  * [trees] switch deprecating qos policy for shorter versions, #187 <https://github.com/splintered-reality/py_trees_ros/pull/187>

 -- Daniel Stonier <d.stonier@gmail.com>  Wed, 08 Feb 2023 05:00:00 -0000

ros-humble-py-trees-ros (2.1.1-3jammy) jammy; urgency=high

  * [trees] publish with/without memory information (supports new selector/sequence modes)

 -- Daniel Stonier <d.stonier@gmail.com>  Sun, 09 May 2021 04:00:00 -0000

ros-humble-py-trees-ros (2.1.0-3jammy) jammy; urgency=high

  * [infra] update for api changes in py_trees 2.1.0 (Chooser no longer supported)
  * [infra] update for api changes in ros2 foxy (not breaking changes)

 -- Daniel Stonier <d.stonier@gmail.com>  Sun, 02 Aug 2020 04:00:00 -0000

ros-humble-py-trees-ros (2.0.11-3jammy) jammy; urgency=high

  * [blackboards] log a one-shot warning instead of exceptions when pickle fails, #156 <https://github.com/splintered-reality/py_trees_ros/pull/156>

 -- Daniel Stonier <d.stonier@gmail.com>  Mon, 23 Mar 2020 04:00:00 -0000

ros-humble-py-trees-ros (2.0.10-3jammy) jammy; urgency=high

  * [mock] server bugfixed to accommodate custom result handlers, #154 <https://github.com/splintered-reality/py_trees_ros/pull/154>

 -- Daniel Stonier <d.stonier@gmail.com>  Fri, 06 Mar 2020 05:00:00 -0000

ros-humble-py-trees-ros (2.0.9-3jammy) jammy; urgency=high

  * [behaviours] default to periodic checks with warnings for action client timeouts, #153 <https://github.com/splintered-reality/py_trees_ros/pull/153>

 -- Daniel Stonier <d.stonier@gmail.com>  Thu, 05 Mar 2020 05:00:00 -0000

ros-humble-py-trees-ros (2.0.8-3jammy) jammy; urgency=high

  * [behaviours] wait_for_server_timeout_sec in action clients, #152 <https://github.com/splintered-reality/py_trees_ros/pull/152>
  * [trees] avoid irregular snapshot streams by avoiding timing jitter, #151 <https://github.com/splintered-reality/py_trees_ros/pull/151>

 -- Daniel Stonier <d.stonier@gmail.com>  Wed, 04 Mar 2020 05:00:00 -0000

ros-humble-py-trees-ros (2.0.7-3jammy) jammy; urgency=high

  * [programs] graph discovery timeouts 1.0->2.0s, #149 <https://github.com/splintered-reality/py_trees_ros/pull/149>

 -- Daniel Stonier <d.stonier@gmail.com>  Mon, 10 Feb 2020 05:00:00 -0000

ros-humble-py-trees-ros (2.0.6-3jammy) jammy; urgency=high

  * [behaviours] action client goals from blackboard behaviour, #148 <https://github.com/splintered-reality/py_trees_ros/pull/148>
  * [behaviours] publish from blackboard behaviour, #146 <https://github.com/splintered-reality/py_trees_ros/pull/146>

 -- Daniel Stonier <d.stonier@gmail.com>  Thu, 06 Feb 2020 05:00:00 -0000

ros-humble-py-trees-ros (2.0.5-3jammy) jammy; urgency=high

  * [serialisation] include parallel policy details

 -- Daniel Stonier <d.stonier@gmail.com>  Fri, 24 Jan 2020 05:00:00 -0000

ros-humble-py-trees-ros (2.0.4-3jammy) jammy; urgency=high

  * [blackboard] bugfix protection against activity stream not activitated for views, #140 <https://github.com/splintered-reality/py_trees_ros/pull/140>
  * [trees] bugfix toggle for activity client on reconfigure, #139 <https://github.com/splintered-reality/py_trees_ros/pull/139>

 -- Daniel Stonier <d.stonier@gmail.com>  Mon, 30 Dec 2019 05:00:00 -0000

ros-humble-py-trees-ros (2.0.3-3jammy) jammy; urgency=high

  * [infra] add a marker file to assist with ros2cli discovery #138 <https://github.com/splintered-reality/py_trees_ros/pull/138>

 -- Daniel Stonier <d.stonier@gmail.com>  Thu, 26 Dec 2019 05:00:00 -0000

ros-humble-py-trees-ros (2.0.2-3jammy) jammy; urgency=high

  * [trees] on-demand snapshot stream services, similar to blackboard streams, #135 <https://github.com/splintered-reality/py_trees_ros/pull/135>, #136 <https://github.com/splintered-reality/py_trees_ros/pull/136>

 -- Daniel Stonier <d.stonier@gmail.com>  Thu, 26 Dec 2019 05:00:00 -0000

ros-humble-py-trees-ros (2.0.1-3jammy) jammy; urgency=high

  * [trees] periodically publish snapshots, #131 <https://github.com/splintered-reality/py_trees_ros/pull/131>,
  * [trees] permit setup visitors, provide a default with timings, #129 <https://github.com/splintered-reality/py_trees_ros/pull/129>
  * [trees] bugfix non-infinite timeout arg getting ignored, #129 <https://github.com/splintered-reality/py_trees_ros/pull/129>
  * [trees] snapshot now publishing tree changed flag and key access info, #128 <https://github.com/splintered-reality/py_trees_ros/pull/128>
  * [utilities] deprecate myargv for rclpy.utilities.remove_ros_args, #130 <https://github.com/splintered-reality/py_trees_ros/pull/130>

 -- Daniel Stonier <d.stonier@gmail.com>  Tue, 03 Dec 2019 05:00:00 -0000

ros-humble-py-trees-ros (2.0.0-3jammy) jammy; urgency=high


