=== debian/control ===
Source: ros-humble-py-trees-ros
Section: misc
Priority: optional
Maintainer: Daniel Stonier <d.stonier@gmail.com>
Build-Depends: debhelper (>= 9.0.0), python3-pytest <!nocheck>, python3-setuptools, ros-humble-geometry-msgs, ros-humble-py-trees, ros-humble-py-trees-ros-interfaces, ros-humble-rcl-interfaces, ros-humble-rclpy, ros-humble-ros2topic, ros-humble-sensor-msgs, ros-humble-std-msgs, ros-humble-tf2-ros-py, ros-humble-unique-identifier-msgs, ros-humble-ros-workspace, python3-all, python3-setuptools, dh-python
Homepage: https://py-trees-ros.readthedocs.io/en/release-1.2.x/
Standards-Version: 3.9.2

Package: ros-humble-py-trees-ros
Architecture: any
Depends: ${python3:Depends}, ${misc:Depends}, ros-humble-geometry-msgs, ros-humble-py-trees, ros-humble-py-trees-ros-interfaces, ros-humble-rcl-interfaces, ros-humble-rclpy, ros-humble-ros2topic, ros-humble-sensor-msgs, ros-humble-std-msgs, ros-humble-tf2-ros-py, ros-humble-unique-identifier-msgs, ros-humble-ros-workspace
Description: ROS2 extensions and behaviours for py_trees.
